diff -r e909207e9ff1 libgui/languages/zh_CN.ts
--- a/libgui/languages/zh_CN.ts	Fri Mar 30 17:47:12 2018 -0400
+++ b/libgui/languages/zh_CN.ts	Mon Apr 02 06:14:23 2018 +0800
@@ -3772,94 +3810,94 @@
     <message>
         <location line="+790"/>
         <source>Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>变量编辑器</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Edit variables.</source>
-        <translation type="unfinished"></translation>
+        <translation>编辑变量。</translation>
     </message>
     <message>
         <location line="+470"/>
         <source>Variable Editor Toolbar</source>
-        <translation type="unfinished"></translation>
+        <translation>变量编辑器工具栏</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Save</source>
-        <translation type="unfinished"></translation>
+        <translation>保存</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Save variable to a file</source>
-        <translation type="unfinished"></translation>
+        <translation>保存变量到文件</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Cut</source>
-        <translation type="unfinished"></translation>
+        <translation>剪切</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Cut data to clipboard</source>
-        <translation type="unfinished"></translation>
+        <translation>剪切到剪切板</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy</source>
-        <translation type="unfinished">复制</translation>
+        <translation>复制</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Copy data to clipboard</source>
-        <translation type="unfinished"></translation>
+        <translation>复制到剪切板</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Paste</source>
-        <translation type="unfinished">粘贴</translation>
+        <translation>粘贴</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Paste clipboard into variable data</source>
-        <translation type="unfinished"></translation>
+        <translation>粘贴剪切板到变量中</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Paste Table</source>
-        <translation type="unfinished"></translation>
+        <translation>粘贴表</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>Another paste clipboard into variable data</source>
-        <translation type="unfinished"></translation>
+        <translation>另一个将剪贴板粘贴到变量中</translation>
     </message>
     <message>
         <location line="+9"/>
         <location line="+5"/>
         <location line="+7"/>
         <source>Plot</source>
-        <translation type="unfinished"></translation>
+        <translation>绘制</translation>
     </message>
     <message>
         <location line="-11"/>
         <source>Plot Selected Data</source>
-        <translation type="unfinished"></translation>
+        <translation>绘制所选数据</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Plot selected data</source>
-        <translation type="unfinished"></translation>
+        <translation>绘制所选数据</translation>
     </message>
     <message>
         <location line="+21"/>
         <source>Up</source>
-        <translation type="unfinished"></translation>
+        <translation>上</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Go one level up in variable hierarchy</source>
-        <translation type="unfinished"></translation>
+        <translation>在变量继承树中的上一级结点</translation>
     </message>
 </context>
 <context>
@@ -3867,12 +3905,12 @@
     <message>
         <location line="-1169"/>
         <source>Save Variable %1 As</source>
-        <translation type="unfinished"></translation>
+        <translation>保存变量 %1 为</translation>
     </message>
     <message>
         <location line="+2"/>
         <source>./%1.txt</source>
-        <translation type="unfinished"></translation>
+        <translation>./%1.txt</translation>
     </message>
 </context>
 <context>
@@ -3880,42 +3918,42 @@
     <message>
         <location line="+123"/>
         <source>Cut</source>
-        <translation type="unfinished"></translation>
+        <translation>剪切</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Copy</source>
-        <translation type="unfinished">复制</translation>
+        <translation>复制</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Paste</source>
-        <translation type="unfinished">粘贴</translation>
+        <translation>粘贴</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Paste Table</source>
-        <translation type="unfinished"></translation>
+        <translation>粘贴表</translation>
     </message>
     <message>
         <location line="+6"/>
         <source>Clear</source>
-        <translation type="unfinished"></translation>
+        <translation>清空</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Delete</source>
-        <translation type="unfinished">删除</translation>
+        <translation>删除</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Variable from Selection</source>
-        <translation type="unfinished"></translation>
+        <translation>所选变量</translation>
     </message>
     <message>
         <location line="+18"/>
         <source>Transpose</source>
-        <translation type="unfinished"></translation>
+        <translation>转置</translation>
     </message>
 </context>
 <context>
@@ -3923,32 +3961,32 @@
     <message>
         <location filename="../src/qtinfo/webinfo.cc" line="+85"/>
         <source>Type here and press &apos;Return&apos; to search</source>
-        <translation type="unfinished">在这里输入并按下回车以搜索</translation>
+        <translation>在这里输入并按下回车以搜索</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>Global search</source>
-        <translation type="unfinished">全局搜索</translation>
+        <translation>全局搜索</translation>
     </message>
     <message>
         <location line="+4"/>
         <source>&amp;Close</source>
-        <translation type="unfinished">关闭 (&amp;C)</translation>
+        <translation>关闭 (&amp;C)</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Close &amp;Other Tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>关闭其他标签页 (&amp;O)</translation>
     </message>
     <message>
         <location line="+79"/>
         <source>Error</source>
-        <translation type="unfinished"></translation>
+        <translation>错误</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>The info file&lt;p&gt;%1&lt;p&gt;or compressed versions do not exist</source>
-        <translation type="unfinished"></translation>
+        <translation>信息文件&lt;p&gt;%1&lt;p&gt;或者压缩版本不存在</translation>
     </message>
 </context>
 <context>
@@ -3956,7 +3994,7 @@
     <message>
         <location filename="../src/welcome-wizard.cc" line="-162"/>
         <source>Welcome to GNU Octave</source>
-        <translation type="unfinished">欢迎来到 GNU Octave</translation>
+        <translation>欢迎来到 GNU Octave</translation>
     </message>
 </context>
 <context>
@@ -3964,38 +4002,38 @@
     <message>
         <location filename="../src/workspace-model.cc" line="-41"/>
         <source>Name</source>
-        <translation type="unfinished">名称</translation>
+        <translation>名称</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Class</source>
-        <translation type="unfinished">类</translation>
+        <translation>类</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Dimension</source>
-        <translation type="unfinished">维度</translation>
+        <translation>维度</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Value</source>
-        <translation type="unfinished">值</translation>
+        <translation>值</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Attribute</source>
-        <translation type="unfinished"></translation>
+        <translation>属性</translation>
     </message>
     <message>
         <location line="+108"/>
         <source>Right click to copy, rename, or display</source>
-        <translation type="unfinished">右击以复制，重命名或显示</translation>
+        <translation>右击以复制，重命名或显示</translation>
     </message>
     <message>
         <location line="+37"/>
         <location line="+2"/>
         <source>complex</source>
-        <translation type="unfinished">复杂度</translation>
+        <translation>复杂度</translation>
     </message>
 </context>
 <context>
@@ -4003,87 +4041,87 @@
     <message>
         <location filename="../src/workspace-view.cc" line="+55"/>
         <source>Workspace</source>
-        <translation type="unfinished"></translation>
+        <translation>工作区</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>View the variables in the active workspace.</source>
-        <translation type="unfinished">显示当前活动工作区的变量。</translation>
+        <translation>显示当前活动工作区的变量。</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Enter text to filter the workspace</source>
-        <translation type="unfinished"></translation>
+        <translation>输入文本过滤工作区变量</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Filter</source>
-        <translation type="unfinished"></translation>
+        <translation>过滤器</translation>
     </message>
     <message>
         <location line="+129"/>
         <source>View the variables in the active workspace.&lt;br&gt;</source>
-        <translation type="unfinished">显示当前活动工作区的变量。&lt;br&gt;</translation>
+        <translation>显示当前活动工作区的变量。&lt;br&gt;</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Colors for variable attributes:</source>
-        <translation type="unfinished"></translation>
+        <translation>变量属性的颜色:</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Class</source>
-        <translation type="unfinished">类</translation>
+        <translation>类</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Dimension</source>
-        <translation type="unfinished">维度</translation>
+        <translation>维度</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Value</source>
-        <translation type="unfinished">值</translation>
+        <translation>值</translation>
     </message>
     <message>
         <location line="+1"/>
         <source>Attribute</source>
-        <translation type="unfinished"></translation>
+        <translation>属性</translation>
     </message>
     <message>
         <location line="+136"/>
         <source>Open in Variable Editor</source>
-        <translation type="unfinished"></translation>
+        <translation>在变量编辑器中打开</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy name</source>
-        <translation type="unfinished"></translation>
+        <translation>复制变量名</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Copy value</source>
-        <translation type="unfinished"></translation>
+        <translation>复制值</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Rename</source>
-        <translation type="unfinished">重命名</translation>
+        <translation>重命名</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Only top-level symbols may be renamed</source>
-        <translation type="unfinished"></translation>
+        <translation>只有顶级符号可能会被重命名</translation>
     </message>
     <message>
         <location line="+22"/>
         <source>Hide filter</source>
-        <translation type="unfinished"></translation>
+        <translation>隐藏过滤器</translation>
     </message>
     <message>
         <location line="+3"/>
         <source>Show filter</source>
-        <translation type="unfinished"></translation>
+        <translation>显示过滤器</translation>
     </message>
 </context>
 <context>
@@ -4102,17 +4140,17 @@
     <message>
         <location line="-457"/>
         <source>Interface</source>
-        <translation type="unfinished"></translation>
+        <translation>接口</translation>
     </message>
     <message>
         <location line="+259"/>
         <source>Dock widget title bar</source>
-        <translation type="unfinished"></translation>
+        <translation>停靠组件标题栏</translation>
     </message>
     <message>
         <location line="-176"/>
         <source>Confirm before exiting</source>
-        <translation type="unfinished"></translation>
+        <translation>在退出前确认</translation>
     </message>
     <message>
         <location line="+188"/>
@@ -4128,65 +4166,65 @@
         <location line="+36"/>
         <location line="+280"/>
         <source>Show status bar</source>
-        <translation type="unfinished"></translation>
+        <translation>显示状态栏</translation>
     </message>
     <message>
         <location line="-458"/>
         <source>Text inactive</source>
-        <translation type="unfinished"></translation>
+        <translation>不活动的文本</translation>
     </message>
     <message>
         <location line="-32"/>
         <location line="+45"/>
         <source>Active</source>
-        <translation type="unfinished"></translation>
+        <translation>活动</translation>
     </message>
     <message>
         <location line="-142"/>
         <source>Small</source>
-        <translation type="unfinished"></translation>
+        <translation>小</translation>
     </message>
     <message>
         <location line="+17"/>
         <source>Large</source>
-        <translation type="unfinished"></translation>
+        <translation>大</translation>
     </message>
     <message>
         <location line="+151"/>
         <source>Custom style</source>
-        <translation type="unfinished"></translation>
+        <translation>自定义样式</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Background inactive</source>
-        <translation type="unfinished"></translation>
+        <translation>不活动的背景</translation>
     </message>
     <message>
         <location line="+19"/>
         <source>3D</source>
-        <translation type="unfinished"></translation>
+        <translation>3D</translation>
     </message>
     <message>
         <location line="+132"/>
         <source>Octave Startup</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave启动</translation>
     </message>
     <message>
         <location line="+41"/>
         <location line="+1732"/>
         <source>Startup path</source>
-        <translation type="unfinished"></translation>
+        <translation>启动路径</translation>
     </message>
     <message>
         <location line="-1719"/>
         <location line="+1712"/>
         <source>Browse</source>
-        <translation type="unfinished"></translation>
+        <translation>浏览</translation>
     </message>
     <message>
         <location line="-1672"/>
         <source>Editor</source>
-        <translation> 编辑器</translation>
+        <translation>编辑器</translation>
     </message>
     <message>
         <location line="+314"/>
@@ -4196,53 +4234,53 @@
     <message>
         <location line="-277"/>
         <source>Tab width min.</source>
-        <translation type="unfinished"></translation>
+        <translation>Tab 最小宽度.</translation>
     </message>
     <message>
         <location line="+70"/>
         <source>max.</source>
-        <translation type="unfinished"></translation>
+        <translation>最大.</translation>
     </message>
     <message>
         <location line="+422"/>
         <location line="+140"/>
         <source>This works well for monospaced fonts. The line is drawn at a position based on the width of a space character in the default font. It may not work very well if styles use proportional fonts or if varied font sizes or bold, italic and normal texts are used.</source>
-        <translation type="unfinished"></translation>
+        <translation>这适用于等宽字体。 该线根据默认字体中空格字符的宽度绘制。 如果样式使用比例字体，或者使用不同的字体大小或粗体，斜体和普通文本，它可能无法很好地工作。</translation>
     </message>
     <message>
         <location line="-463"/>
         <source>Enable Code Folding</source>
-        <translation type="unfinished"></translation>
+        <translation>启用代码折叠</translation>
     </message>
     <message>
         <location line="+961"/>
         <source>Windows (CRLF)</source>
-        <translation type="unfinished"></translation>
+        <translation>Windows (CRLF)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Mac (CR)</source>
-        <translation type="unfinished"></translation>
+        <translation>Mac (CR)</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>Unix (LF)</source>
-        <translation type="unfinished"></translation>
+        <translation>Unix (LF)</translation>
     </message>
     <message>
         <location line="-936"/>
         <source>Show horizontal scroll bar</source>
-        <translation type="unfinished"></translation>
+        <translation>显示水平滚动条</translation>
     </message>
     <message>
         <location line="-19"/>
         <source>Show tool bar</source>
-        <translation type="unfinished"></translation>
+        <translation>显示工具栏</translation>
     </message>
     <message>
         <location line="+465"/>
         <source>Indentation</source>
-        <translation type="unfinished"></translation>
+        <translation>缩进</translation>
     </message>
     <message>
         <location line="+40"/>
@@ -4277,12 +4315,12 @@
     <message>
         <location line="+23"/>
         <source>Indentation uses tabs</source>
-        <translation type="unfinished"></translation>
+        <translation>使用 tabs 缩进</translation>
     </message>
     <message>
         <location line="+70"/>
         <source>Auto completion</source>
-        <translation type="unfinished"></translation>
+        <translation>自动补全</translation>
     </message>
     <message>
         <location line="+27"/>
@@ -4307,22 +4345,22 @@
     <message>
         <location line="+48"/>
         <source>With Octave builtins</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave 内置</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>With Octave functions</source>
-        <translation type="unfinished"></translation>
+        <translation>Octave 函数</translation>
     </message>
     <message>
         <location line="+64"/>
         <source>Show completion list automatically</source>
-        <translation type="unfinished"></translation>
+        <translation>自动显示补全列表</translation>
     </message>
     <message>
         <location line="+50"/>
         <source>Reload externally changed files without prompt</source>
-        <translation type="unfinished"></translation>
+        <translation>无需提示即可重新加载外部更改的文件</translation>
     </message>
     <message>
         <location line="-712"/>
@@ -4332,7 +4370,7 @@
     <message>
         <location line="+805"/>
         <source>Text encoding used for loading and saving</source>
-        <translation type="unfinished"></translation>
+        <translation>文本编码用于加载和保存</translation>
     </message>
     <message>
         <location line="+63"/>
@@ -4342,22 +4380,22 @@
     <message>
         <location line="+202"/>
         <source>(Changing buffer size clears history)</source>
-        <translation type="unfinished"></translation>
+        <translation>(正在更改缓冲区大小清除历史记录)</translation>
     </message>
     <message>
         <location line="+28"/>
         <source>History buffer Size</source>
-        <translation type="unfinished"></translation>
+        <translation>历史缓冲区大小</translation>
     </message>
     <message>
         <location line="+27"/>
         <source>Set focus to terminal when running a command from within another widget</source>
-        <translation type="unfinished"></translation>
+        <translation>从另一个组件中运行命令时，将焦点设置为终端</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Print debug location in terminal window in addition to the marker in the editor</source>
-        <translation type="unfinished"></translation>
+        <translation>除了编辑器中的标记之外，还可以在终端窗口中打印调试位置</translation>
     </message>
     <message>
         <location line="+16"/>
@@ -4388,12 +4426,12 @@
     <message>
         <location line="+60"/>
         <source>These preferences are applied after any .octaverc startup files.</source>
-        <translation type="unfinished"></translation>
+        <translation>这些首选项在任何.octaverc启动文件之后应用。</translation>
     </message>
     <message>
         <location line="+55"/>
         <source>Restore working directory of previous session</source>
-        <translation type="unfinished"></translation>
+        <translation>恢复前一个会话的工作目录</translation>
     </message>
     <message>
         <location line="+226"/>
@@ -4408,17 +4446,17 @@
     <message>
         <location line="+215"/>
         <source>Show EOL characters</source>
-        <translation type="unfinished"></translation>
+        <translation>显示 EOL 字符</translation>
     </message>
     <message>
         <location line="+784"/>
         <source>Default EOL mode</source>
-        <translation type="unfinished"></translation>
+        <translation>默认 EOL 模式</translation>
     </message>
     <message>
         <location line="-136"/>
         <source>Number of characters before list is shown: </source>
-        <translation type="unfinished"></translation>
+        <translation>显示列表前的字符数: </translation>
     </message>
     <message>
         <location line="+124"/>
@@ -4428,12 +4466,12 @@
     <message>
         <location line="-728"/>
         <source>command line (%f=file, %l=line):</source>
-        <translation>命令行 (%f=文件, %l=行数): </translation>
+        <translation>命令行 (%f=文件, %l=行数):</translation>
     </message>
     <message>
         <location line="+875"/>
         <source>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;Select font, font size (as a difference from the default size), font style (&lt;b&gt;b&lt;/b&gt;old, &lt;b&gt;i&lt;/b&gt;talic, &lt;b&gt;u&lt;/b&gt;nderline), text color, and background color (for the latter, the color magenta (255,0,255) is a placeholder for the default background color).&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</source>
-        <translation type="unfinished"></translation>
+        <translation>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;选择字体, 字体大小 (作为与默认大小的差异), 字体样式 (加粗，斜体，下划线), 文本颜色, 和背景颜色 (颜色洋红色(255, 0, 255)是默认背景颜色的占位符).&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</translation>
     </message>
     <message>
         <location line="+32"/>
@@ -4443,7 +4481,7 @@
     <message>
         <location line="+44"/>
         <source>Cursor type:</source>
-        <translation>光标类型: </translation>
+        <translation>光标类型:</translation>
     </message>
     <message>
         <location line="-1467"/>
@@ -4453,102 +4491,102 @@
     <message>
         <location line="+231"/>
         <source>Show complete path in title</source>
-        <translation type="unfinished"></translation>
+        <translation>在窗口标题显示完整路径</translation>
     </message>
     <message>
         <location line="+131"/>
         <source>Number size as difference to editor font</source>
-        <translation type="unfinished"></translation>
+        <translation>数字大小与编辑器字体的差异</translation>
     </message>
     <message>
         <location line="+124"/>
         <source>Highlight all occurrences of a word selected by a double click</source>
-        <translation type="unfinished"></translation>
+        <translation>通过双击高亮所选单词所有出现处</translation>
     </message>
     <message>
         <location line="+65"/>
         <source>Comments (Octave)</source>
-        <translation type="unfinished"></translation>
+        <translation>注释 (Octave)</translation>
     </message>
     <message>
         <location line="+11"/>
         <source>Strings considered for uncommenting text</source>
-        <translation type="unfinished"></translation>
+        <translation>考虑取消注释文本的字符串</translation>
     </message>
     <message>
         <location line="+23"/>
         <source>String used for commenting selected text</source>
-        <translation type="unfinished"></translation>
+        <translation>用于注释选定文本的字符串</translation>
     </message>
     <message>
         <location line="+31"/>
         <source>Long lines</source>
-        <translation type="unfinished"></translation>
+        <translation>长行</translation>
     </message>
     <message>
         <location line="+25"/>
         <source>Break long lines at line length</source>
-        <translation type="unfinished"></translation>
+        <translation>在一行长度处断开长行</translation>
     </message>
     <message>
         <location line="+13"/>
         <source>Break lines only in comments</source>
-        <translation type="unfinished"></translation>
+        <translation>只在注释中断行</translation>
     </message>
     <message>
         <location line="+60"/>
         <source>Line length</source>
-        <translation type="unfinished"></translation>
+        <translation>线长</translation>
     </message>
     <message>
         <location line="+9"/>
         <source>Long line marker</source>
-        <translation type="unfinished"></translation>
+        <translation>长线标记</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Line</source>
-        <translation type="unfinished"></translation>
+        <translation>线</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Background</source>
-        <translation type="unfinished"></translation>
+        <translation>背景</translation>
     </message>
     <message>
         <location line="+38"/>
         <source>Wrap long lines at curent window border</source>
-        <translation type="unfinished"></translation>
+        <translation>在当前的窗口边框处换行</translation>
     </message>
     <message>
         <location line="+153"/>
         <source>Auto insert after &quot;if&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>自动在&quot;if&quot;等后插入</translation>
     </message>
     <message>
         <location line="+20"/>
         <source>Nothing</source>
-        <translation type="unfinished"></translation>
+        <translation>无</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&quot;endif&quot; etc.</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;endif&quot; 等.</translation>
     </message>
     <message>
         <location line="+5"/>
         <source>&quot;end&quot;</source>
-        <translation type="unfinished"></translation>
+        <translation>&quot;end&quot;</translation>
     </message>
     <message>
         <location line="+267"/>
         <source>Restore editor tabs from previous session on startup or when editor is shown again after closing</source>
-        <translation type="unfinished"></translation>
+        <translation>在启动时或者当编辑器关闭后再次显示时，恢复上次会话的编辑器标签</translation>
     </message>
     <message>
         <location line="+105"/>
         <source>Close all files when the editor widget is closed/hidden</source>
-        <translation type="unfinished"></translation>
+        <translation>当编辑器组件关闭/隐藏时关闭所有文件</translation>
     </message>
     <message>
         <location line="+120"/>
@@ -4574,43 +4612,43 @@
     <message>
         <location line="+35"/>
         <source>Colors for variable attributes</source>
-        <translation type="unfinished"></translation>
+        <translation>变量属性的颜色</translation>
     </message>
     <message>
         <location line="+7"/>
         <source>Hide tool tips</source>
-        <translation type="unfinished"></translation>
+        <translation>隐藏工具提示</translation>
     </message>
     <message>
         <location line="+101"/>
         <source>Import shortcut set</source>
-        <translation type="unfinished"></translation>
+        <translation>导入快捷键设置</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Export current shortcut set</source>
-        <translation type="unfinished"></translation>
+        <translation>导出当前快捷键设置</translation>
     </message>
     <message>
         <location line="+10"/>
         <source>Reset shortcuts to their defaults</source>
-        <translation type="unfinished"></translation>
+        <translation>将快捷方式重置为其默认值</translation>
     </message>
     <message>
         <location line="+3"/>
         <location line="+80"/>
         <source>Default</source>
-        <translation type="unfinished"></translation>
+        <translation>默认</translation>
     </message>
     <message>
         <location line="-71"/>
         <source>Edit a shortcut by double-clicking in a cell</source>
-        <translation type="unfinished"></translation>
+        <translation>通过双击单元格编辑快捷方式</translation>
     </message>
     <message>
         <location line="+76"/>
         <source>Actual</source>
-        <translation type="unfinished"></translation>
+        <translation>当前</translation>
     </message>
     <message>
         <location line="+17"/>
